all:dynamic.a mydv
	@echo "make complete."
dynamic.a : dynamicLib.c
	@echo "compiling dynamic library..."
	gcc -shared -fPIC dynamicLib.c -o dynamic.a
mydv : main.c static.a
	@echo "creating executable program(mydv) ..."
	gcc main.c static.a dynamic.a -o mydv
static.a : static.o
	@echo "creating static library(static.a)..."
	ar rcs static.a static.o
static.o:staticLib.c
	@echo "compiling static library(static.o)..."
	gcc -c staticLib.c -o static.o
clear : 
	rm *.a *.o mydv

